#!/bin/sh
set -e

git clone --recurse-submodules https://github.com/RobertBeckebans/RBDOOM-3-BFG.git RBDOOM-3-BFG

cd RBDOOM-3-BFG

COMMIT=$(git rev-list HEAD -n1)
SHORTCOMMIT=$(echo ${COMMIT:0:7})
DATE=$(git log -1 --format=%cd --date=short | tr -d \-)

# Delete all git folders including git submodules.
find .  -depth -name ".git*" -exec rm -fr {} \;

cd ..

mv RBDOOM-3-BFG RBDOOM-3-BFG-${COMMIT}

tar -cJf RBDOOM-3-BFG-$SHORTCOMMIT.tar.xz RBDOOM-3-BFG-${COMMIT}
rm -fr RBDOOM-3-BFG-${COMMIT}

sed -i \
    -e "s|%global commit0.*|%global commit0 ${COMMIT}|g" \
    -e "s|%global date.*|%global date ${DATE}|g" \
    RBDOOM-3-BFG.spec

rpmdev-bumpspec -c "Update to latest snapshot." RBDOOM-3-BFG.spec
